> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/jp/developer-tools/commander/commander-18.0.8.md).

# コマンダー 18.0.8

#### PAM: データベースプロトコル対応の拡張<br>

* `pam connection edit` および `pam import` で、既存の mysql、postgresql、sql-server に加え、mariadb、oracle、mongodb、redis、elasticsearch、clickhouse、dynamodb の7種類のデータベースプロトコルに対応。

#### PAM: RBI (リモートブラウザ分離) の機能強化<br>

* `pam rbi edit`: `--session-persistence` オプションを追加。none、user、resourceの各モードを選択できます。
* `pam import` および `pam extend` にRBI設定を追加: `allow_file_uploads`、`allow_file_downloads`、`disable_audio`、`audio_channels`、`audio_bps`、`audio_sample_rate`。

#### PAM: ターミナルおよびデータベース接続向けスクロールバックバッファ

* `pam import` および `pam extend` で、SSH、Kubernetes、CLI対応データベース、Windows Remote App接続向けのスクロールバック設定に対応。動作はウェブボルトと統一されています。

#### getコマンド: シークレットフィールドのマスキング

* `get` コマンドは、`--detail` および `--fields` 出力で、シークレットタイプのフィールドとカスタムフィールドを自動的にマスキングし、コンソール出力やログへの機密情報の意図しない露出を防止。

#### record-add: ラベル表示制御

* プログラムまたはスクリプトでレコードを作成する際、標準フィールドの冗長なラベルを省略できる `--labels=on` および `--labels=off` フラグを追加。

#### バグ修正

* KSM: 同期処理中に表示されるスピナーがコンソール出力を破損する不具合を修正。
* PAM/検出: DAG通信方式を従来のJSON単一ストリームモードに切り替え。ルーティングエラーの原因となっていた `use_per_graph_endpoints` フラグを削除しました。
* LastPassインポート: ボルトインポート時のBase64エンコードされた秘密鍵を正しく処理できるよう改善。
* Docker: 対話型コンソールセッションにおける永続ログインのエラー処理を修正。 `keeper get` シェル統合におけるレコード検索のフォールバック処理を改善。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/release-notes/jp/developer-tools/commander/commander-18.0.8.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
